using System;

public class blaah
{
    static public void Main(){
		int novcanice=0;
		long broj=long.Parse(Console.ReadLine());
		int broj_cifara=(Convert.ToString(broj)).Length;
		for(long i=((long) Math.Pow(10,(broj_cifara)));i>1;){
			
			i=i/10;
			while((broj-(5*i))>=0){
				broj=broj-(5*i);
				novcanice++;
			}
				while((broj-(2*i))>=0){
				broj=broj-(2*i);
				novcanice++;
				}
				while((broj-(1*i))>=0){
				broj=broj-(1*i);
				novcanice++;
				}
			}
			Console.WriteLine(novcanice);
	
		
    }
}